Package com.independentsoft.office.odf.fields

# Class SequenceVariableDeclaration

java.lang.Object
com.independentsoft.office.odf.fields.SequenceVariableDeclaration

public class SequenceVariableDeclaration extends Object
Represents declare sequence variables used to number items within an OpenDocument text document.Sequence variables are commonly used for sequential numbering. However, expression formulas can be included in sequence fields to support more advanced sequences.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SequenceVariableDeclaration()`
  Initializes a new instance of the SequenceVariableDeclaration class.
  `SequenceVariableDeclaration​(InternalXMLStreamReader reader)`
  Instantiates a new sequence variable declaration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SequenceVariableDeclaration`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getName()`
  Gets the unique name of a variable to be declared.
  `int`
  `getOutlineLevel()`
  Gets the numbering of a sequence by chapter.
  `String`
  `getSeparationCharacter()`
  Gets the character used to separate values representing levels in an outline.
  `void`
  `setName​(String name)`
  Sets the unique name of a variable to be declared.
  `void`
  `setOutlineLevel​(int outlineLevel)`
  Sets the numbering of a sequence by chapter.
  `void`
  `setSeparationCharacter​(String separationCharacter)`
  Sets the character used to separate values representing levels in an outline.
  `String`
  `toString()`
  Converts the value of the current SequenceVariableDeclaration object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SequenceVariableDeclaration

    public SequenceVariableDeclaration()
    Initializes a new instance of the SequenceVariableDeclaration class.

  - ### SequenceVariableDeclaration

    public SequenceVariableDeclaration​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new sequence variable declaration.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public SequenceVariableDeclaration clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current SequenceVariableDeclaration object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the unique name of a variable to be declared.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the unique name of a variable to be declared.
    Parameters:
      `name` - the new name

  - ### getOutlineLevel

    public int getOutlineLevel()
    Gets the numbering of a sequence by chapter. This attribute specifies an outline level that determines which chapters to reference for the chapter-specific numbering. All chapters that are at or below the specified outline level reset the value of the sequence to zero, the default value. The chapter number of the last chapter at or below the specified outline level is prefixed to the sequence number. Choosing an outline level of zero results in a straight sequence of all sequence elements for that sequence variable.
    Returns:
      the outline level

  - ### setOutlineLevel

    public void setOutlineLevel​(int outlineLevel)
    Sets the numbering of a sequence by chapter. This attribute specifies an outline level that determines which chapters to reference for the chapter-specific numbering. All chapters that are at or below the specified outline level reset the value of the sequence to zero, the default value. The chapter number of the last chapter at or below the specified outline level is prefixed to the sequence number. Choosing an outline level of zero results in a straight sequence of all sequence elements for that sequence variable.
    Parameters:
      `outlineLevel` - the new outline level

  - ### getSeparationCharacter

    public String getSeparationCharacter()
    Gets the character used to separate values representing levels in an outline.
    Returns:
      the separation character

  - ### setSeparationCharacter

    public void setSeparationCharacter​(String separationCharacter)
    Sets the character used to separate values representing levels in an outline.
    Parameters:
      `separationCharacter` - the new separation character